<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/common_bkg"
    android:orientation="vertical">

    <include layout="@layout/include_device_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="@dimen/dp_125"
            android:layout_height="@dimen/dp_125"
            android:layout_marginVertical="@dimen/dp_20"
            android:background="@drawable/bg_stroke_layout_gray_circle_1"
            android:gravity="center"
            android:padding="@dimen/dp_5">

            <ImageView
                android:id="@+id/deviceLogoView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />
        </LinearLayout>

        <TextView
            android:id="@+id/deviceStateView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_10"
            android:gravity="center_horizontal"
            android:text="@string/app_name" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dp_10"
            android:orientation="horizontal">

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_60"
                android:layout_marginEnd="@dimen/dp_5"
                android:layout_weight="1"
                android:background="@drawable/bg_solid_layout_white_radius_7"
                android:paddingHorizontal="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="温度"
                    android:textColor="@color/mainTextColor" />

                <TextView
                    android:id="@+id/tempValueView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:text="@string/unknown"
                    android:textColor="@color/mainThemeColor" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_60"
                android:layout_marginStart="@dimen/dp_5"
                android:layout_weight="1"
                android:background="@drawable/bg_solid_layout_white_radius_7"
                android:paddingHorizontal="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="甲烷浓度"
                    android:textColor="@color/mainTextColor" />

                <TextView
                    android:id="@+id/sensorValueView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:text="@string/unknown"
                    android:textColor="@color/mainThemeColor" />
            </RelativeLayout>
        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_25"
            android:layout_marginHorizontal="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="消息记录"
                android:textColor="@color/mainTextColor" />

            <TextView
                android:id="@+id/showMoreView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toStartOf="@id/tempView"
                android:text="更多"
                android:textColor="@color/hintTextColor" />

            <ImageView
                android:id="@+id/tempView"
                style="@style/rightImageStyle" />
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_20"
            android:background="@drawable/bg_solid_layout_white_radius_7"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="今天" />

                <TextView
                    android:id="@+id/updateTimeView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:text="@string/unknown"
                    android:textColor="@color/hintTextColor" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_20"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="温度传感器"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/tempStateView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:text="@string/unknown"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_16" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="甲烷传感器"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/sensorStateView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:text="@string/unknown"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_16" />
            </RelativeLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>